Echo: ctrl+click & middle click
Closed, ResolvedPublic

Description

With both Firefox and Chrome (at least), ctrl+click (or middle click) on a link opens the linked page in a new tab.

Echo provides links, for example "Hello!" in the message "Toto left a message on your talk page in 'Hello!'.", but if I want to open it in a new tab using ctrl+click (or middle click), the current page loads the target too. So I get twice the page I wanted to open, quite confusing.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=48087

bzimport added a project: Echo.Via ConduitNov 22 2014, 2:07 AM
bzimport set Reference to bz52319.
Ltrlg created this task.Via LegacyJul 31 2013, 10:30 AM
gerritbot added a comment.Via ConduitJul 31 2013, 5:23 PM

Change 76943 had a related patch set uploaded by Alex Monk:
Fix middle click on notifications in the overlay

https://gerrit.wikimedia.org/r/76943

gerritbot added a comment.Via ConduitAug 5 2013, 9:10 PM

Change 77824 had a related patch set uploaded by Matmarex:
Trying out something totally crazy

https://gerrit.wikimedia.org/r/77824

matmarex added a comment.Via ConduitAug 24 2013, 11:10 AM
  • Bug 51006 has been marked as a duplicate of this bug. ***
Whatamidoing-WMF added a comment.Via ConduitAug 28 2013, 5:18 PM

This is probably appearing in all browsers. We have confirmed that it is present in at least Mozilla/5.0 (Macintosh; Intel Mac OS X 10_8_4) AppleWebKit/536.30.1 (KHTML, like Gecko) Version/6.0.5 Safari/536.30.1; in Safari on Mac OS 10.7.5 (using Vector); and in Firefox 23.0, Ubuntu 12.04 (using Monobook).

gerritbot added a comment.Via ConduitSep 5 2013, 5:22 PM

Change 77824 merged by jenkins-bot:
Make items on notifications flyout behave like links

https://gerrit.wikimedia.org/r/77824

gerritbot added a comment.Via ConduitSep 5 2013, 5:40 PM

Change 76943 abandoned by Matmarex:
Fix middle click on notifications in the overlay

https://gerrit.wikimedia.org/r/76943

Quiddity added a comment.Via ConduitSep 8 2013, 7:52 PM
  • Bug 50949 has been marked as a duplicate of this bug. ***

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.